kernel

## Class Config

- java.lang.Object
- - kernel.Config

All Implemented Interfaces:
  java.io.Serializable

    public class Config
    extends java.lang.Object
    implements java.io.Serializable

The Class Config.

See Also:
  Serialized Form

### Field Summary

Fields
`static java.util.HashMap<java.lang.String,javax.swing.ImageIcon>` `icons` The icons.

### Constructor Summary

Constructors
Constructor and Description
`Config()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `changeVerbosity(int dx)` Change verbosity.
`static javax.swing.ImageIcon` `getIcon(java.lang.String name)` Gets the icon.
`static java.lang.String` `getProjectname()` Gets the projectname.
`static int` `getVerbosity()` Gets the verbosity.
`static java.lang.String` `getVersionname()` Gets the versionname.
`static java.lang.String` `getVersionnumber()` Gets the versionnumber.
`static void` `print(java.lang.String s, int priority)` Prints the.
`static void` `setVerbosity(int verbosity)` Sets the verbosity.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### icons

    public static java.util.HashMap<java.lang.String,javax.swing.ImageIcon> icons

The icons.

### Constructor Detail

#### Config

    public Config()

### Method Detail

#### getIcon

    public static javax.swing.ImageIcon getIcon(java.lang.String name)

Gets the icon.

Parameters:
  `name` - the name
Returns:
  the icon

#### getVerbosity

    public static int getVerbosity()

Gets the verbosity.

Returns:
  the verbosity

#### setVerbosity

    public static void setVerbosity(int verbosity)

Sets the verbosity.

Parameters:
  `verbosity` - the new verbosity

#### changeVerbosity

    public static void changeVerbosity(int dx)

Change verbosity.

Parameters:
  `dx` - the dx

#### print

    public static void print(java.lang.String s,
                             int priority)

Prints the.

Parameters:
  `s` - the s
  `priority` - the priority

#### getProjectname

    public static java.lang.String getProjectname()

Gets the projectname.

Returns:
  the projectname

#### getVersionnumber

    public static java.lang.String getVersionnumber()

Gets the versionnumber.

Returns:
  the versionnumber

#### getVersionname

    public static java.lang.String getVersionname()

Gets the versionname.

Returns:
  the versionname